# -*- coding:utf-8 -*-
from django.template import TemplateDoesNotExist
from django.conf import settings

from quickwiki.lib.base import render, c

def load_template_source(template_name, template_dirs=None):
    if template_name == settings.CICERO_TEMPLATE_BASE:
        c.forum = True
        return render(template_name), template_name
    raise TemplateDoesNotExist, template_name

load_template_source.is_usable = True