<!DOCTYPE html>
<head>
  <title>${c.title or 'QuickWiki'}</title>
  ${h.stylesheet_link_tag('/quick.css')}
  ${h.javascript_include_tag('/javascripts/effects.js', builtins=True)}

<body>
  <div class="content">
    ${next.body()}\
    <p class="footer">
    ${footer(request.environ.get('pylons.routes_dict', dict()).get('action'))}\
    </p>
  </div>

## Don't show links that are redundant for particular pages
<%def name="footer(action)">\
  Return to the ${h.link_to('FrontPage', h.url_for(controller="/page", action="index", title="FrontPage"))}
  % if c.forum:
    <% return '' %>
  % endif
  % if action == "list":
    <% return '' %>
  % endif
  % if action != "edit":
    | ${h.link_to('Edit ' + c.title, h.url_for(title=c.title, action='edit'))}
  % endif
  | ${h.link_to('Title List', h.url_for(action='list', title=None))}
  | <a href="${h.django_url('cicero_index')}">Forum</a>
</%def>
